<?php

namespace src\Migrations;

class _008_statusProposta
{
    public function up()
    {
        $conexao = new \src\Conexao\Conexao();
        $conn = $conexao->getConexao();

        $query = "ALTER TABLE proposta
        ADD COLUMN status ENUM('pendente', 'aceito', 'recusado') DEFAULT 'pendente'";

        $stmt = $conn->prepare($query);
        if (!$stmt) {
            echo "Erro ao preparar a consulta: " . $conn->error;
            return null;
        }

        $stmt->execute();
    }

    public function down()
    {
    }
}
